BasicTreeUI.PropertyChangeHandler (Java Platform SE 8 )
Keywords: javax.swing.plaf.basic.BasicTreeUI.PropertyChangeHandler class
Date: 2016-12-09

javax.swing.plaf.basic

## Class BasicTreeUI.PropertyChangeHandler

- java.lang.Object
- - javax.swing.plaf.basic.BasicTreeUI.PropertyChangeHandler

- All Implemented Interfaces:
    PropertyChangeListener, EventListener
  Enclosing class:
    BasicTreeUI

      public class BasicTreeUI.PropertyChangeHandler
      extends Object
      implements PropertyChangeListener

  PropertyChangeListener for the tree. Updates the appropriate variable, or TreeState, based on what changes.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PropertyChangeHandler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `propertyChange(PropertyChangeEvent event)` This method gets called when a bound property is changed.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PropertyChangeHandler

          public PropertyChangeHandler()

  - ### Method Detail

    - #### propertyChange

          public void propertyChange(PropertyChangeEvent event)

      Description copied from interface: `PropertyChangeListener`
      This method gets called when a bound property is changed.
      Specified by:
        `propertyChange` in interface `PropertyChangeListener`
      Parameters:
        `event` - A PropertyChangeEvent object describing the event source and the property that has changed.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2016, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.